### Method

# GdkWayland WaylandToplevelset_application_id

#### Declaration [src]

    void
    gdk_wayland_toplevel_set_application_id (
      GdkToplevel* toplevel,
      const char* application_id
    )

#### Description [src]

Sets the application id on a `GdkToplevel`.

#### Parameters

`application_id`

  Type: `const char*`

  The application id for the `toplevel`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.